Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Solved Need help!

Comments in 'Plugin Development' started by PolskiTHEPLAYER, Mar 13, 2016.

  1. PolskiTHEPLAYER
    Offline

    PolskiTHEPLAYER New Member

    Joined:
    Apr 1, 2015
    Posts:
    55
    Minecraft User:
    Flsmers
    PHP:
    Connecting to 155.133.27.80 port 22please wait...
    login as: 
    pocketmine@155.133.27.80's password: 
     gcc-multilib
    -bash:  gcc-multilib: command not found
    wget -q -O - http://get.pocketmine.net/ | bash -s - -v dev 
    elopment
    [*] Found PocketMine-MP Final_1.6dev (build 1266) using API 1.13.1
    [*] This development build was released on Sat Dec 19 18:41:43 EST 2015
    [*] Installing/updating PocketMine-MP on directory ./
    [1/3] Cleaning...
    [2/3] Downloading PocketMine-MP Final_1.6dev-1266 phar... done!
    [3/3] Obtaining PHP: detecting if build is available...
    [3/3] CentOS 64-bit PHP build available, downloading PHP_5.6.2_x86-64_CentOS.tar.gz... checking... regenerating php.ini... done
    [*] Everything done! Run ./start.sh to start PocketMine-MP
    ./start.sh
    Couldn'
    t find a working PHP 7 binaryplease use the installer.
    [
    PhP/]
    Plzz help me!
  2. PocketKiller
    Offline

    PocketKiller Notable Member

    Joined:
    Jul 20, 2015
    Posts:
    741
    1. Solved!? :p
    2. Wrong section?!
  3. PocketKiller
    Offline

    PocketKiller Notable Member

    Joined:
    Jul 20, 2015
    Posts:
    741
    3a. reporting
    4. i did report and i just wanted to notify him
  4. IcePL
    Offline

    IcePL New Member

    Joined:
    Feb 16, 2016
    Posts:
    73
    Minecraft User:
    IcePL
    You must reinstall the pocketmine server with php 7 version. Pocketmine is not support php5.
  5. IcePL
    Offline

    IcePL New Member

    Joined:
    Feb 16, 2016
    Posts:
    73
    Minecraft User:
    IcePL
    Or use compile.sh
  6. Survingo
    Offline

    Survingo Active Member

    Joined:
    Dec 6, 2015
    Posts:
    221
    Pocketmine support PHP 5.6, but they cut support for it since 0.14.0.
    You must install the new 7.0
    IcePL likes this.
  7. PolskiTHEPLAYER
    Offline

    PolskiTHEPLAYER New Member

    Joined:
    Apr 1, 2015
    Posts:
    55
    Minecraft User:
    Flsmers
    How to install that php 7 in centos 6 64 bit?
  8. IcePL
    Offline

    IcePL New Member

    Joined:
    Feb 16, 2016
    Posts:
    73
    Minecraft User:
    IcePL
    When you install e.g the pocketmine 1.6 the installer as automaticality install php 7. When pocketmine has installed download the latest PocketMine-MP.phar and put to the main folder of you server.
    Sorry for my bad englisch:)

Share This Page

Advertisement